%global momorel 3

Summary: bmemcached is a C and C++ client library 
Name: libmemcached 
Version: 0.26
Release: %{momorel}m%{?dist}
URL: http://danga.com/memcached 
Source0: http://download.tangent.org/%{name}-%{version}.tar.gz 
NoSource: 0
License: BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: memcached

%description
libmemcached is a C and C++ client library to the memcached server (http://danga.com/memcached). 
It has been designed to be light on memory usage, thread safe, and provide full access to server side methods.

%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the headers and pkg-config file for
development of programs using %{name}.

%prep
%setup -q

%build
export PATH=%{_sbindir}:$PATH
%configure --program-transform-name=''
%make

%install
make DESTDIR=%{buildroot} install
%{__make} install  DESTDIR="%{buildroot}" AM_INSTALL_PROGRAM_FLAGS="" transform-program-name=""

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL TODO THANKS
%{_bindir}/memcat
%{_bindir}/memcp
%{_bindir}/memerror
%{_bindir}/memflush
%{_bindir}/memrm
%{_bindir}/memstat
%{_bindir}/memslap
%{_libdir}/libmemcached.so
%{_libdir}/libmemcached.so.2
%{_libdir}/libmemcached.so.2.0.0
%{_mandir}/man1/memcat.1*
%{_mandir}/man1/memcp.1*
%{_mandir}/man1/memerror.1*
%{_mandir}/man1/memflush.1*
%{_mandir}/man1/memrm.1*
%{_mandir}/man1/memslap.1*
%{_mandir}/man1/memstat.1*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/libmemcached.pc
%{_libdir}/libmemcached.a
%{_includedir}/libmemcached/memcached.h
%{_includedir}/libmemcached/memcached.hh
%{_includedir}/libmemcached/libmemcached_config.h
%{_includedir}/libmemcached/memcached_constants.h
%{_includedir}/libmemcached/memcached_get.h
%{_includedir}/libmemcached/memcached_result.h
%{_includedir}/libmemcached/memcached_server.h
%{_includedir}/libmemcached/memcached_storage.h
%{_includedir}/libmemcached/memcached_string.h
%{_includedir}/libmemcached/memcached_types.h
%{_includedir}/libmemcached/memcached_watchpoint.h
%{_mandir}/man3/libmemcached.3*
%{_mandir}/man3/libmemcached_examples.3*
%{_mandir}/man3/memcached_add.3*
%{_mandir}/man3/memcached_add_by_key.3*
%{_mandir}/man3/memcached_analyze.3*
%{_mandir}/man3/memcached_append.3*
%{_mandir}/man3/memcached_append_by_key.3*
%{_mandir}/man3/memcached_behavior_get.3*
%{_mandir}/man3/memcached_behavior_set.3*
%{_mandir}/man3/memcached_cas.3*
%{_mandir}/man3/memcached_cas_by_key.3*
%{_mandir}/man3/memcached_callback_get.3*
%{_mandir}/man3/memcached_callback_set.3*
%{_mandir}/man3/memcached_clone.3*
%{_mandir}/man3/memcached_create.3*
%{_mandir}/man3/memcached_decrement.3*
%{_mandir}/man3/memcached_delete.3*
%{_mandir}/man3/memcached_delete_by_key.3*
%{_mandir}/man3/memcached_fetch.3*
%{_mandir}/man3/memcached_fetch_result.3*
%{_mandir}/man3/memcached_fetch_execute.3*
%{_mandir}/man3/memcached_flush_buffers.3*
%{_mandir}/man3/memcached_free.3*
%{_mandir}/man3/memcached_generate_hash_value.3*
%{_mandir}/man3/memcached_get.3*
%{_mandir}/man3/memcached_get_by_key.3*
%{_mandir}/man3/memcached_increment.3*
%{_mandir}/man3/memcached_mget.3*
%{_mandir}/man3/memcached_mget_by_key.3*
%{_mandir}/man3/memcached_prepend.3*
%{_mandir}/man3/memcached_prepend_by_key.3*
%{_mandir}/man3/memcached_quit.3*
%{_mandir}/man3/memcached_replace.3*
%{_mandir}/man3/memcached_replace_by_key.3*
%{_mandir}/man3/memcached_server_add.3*
%{_mandir}/man3/memcached_server_count.3*
%{_mandir}/man3/memcached_server_list.3*
%{_mandir}/man3/memcached_server_list_append.3*
%{_mandir}/man3/memcached_server_list_count.3*
%{_mandir}/man3/memcached_server_list_free.3*
%{_mandir}/man3/memcached_server_push.3*
%{_mandir}/man3/memcached_servers_parse.3*
%{_mandir}/man3/memcached_set.3*
%{_mandir}/man3/memcached_set_by_key.3*
%{_mandir}/man3/memcached_stat.3*
%{_mandir}/man3/memcached_stat_get_keys.3*
%{_mandir}/man3/memcached_stat_get_value.3*
%{_mandir}/man3/memcached_stat_servername.3*
%{_mandir}/man3/memcached_strerror.3*
%{_mandir}/man3/memcached_verbosity.3*
%{_mandir}/man3/memcached_lib_version.3*
%{_mandir}/man3/memcached_version.3*
%exclude %{_libdir}/lib*.la

%changelog
* Thu Mar 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.26-3m)
- do not specify man file compression format

* Thu Feb  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.26-2m)
- set PATH to %%{_sbindir} (to enable build)
- BuildRequires: memcached

* Thu Feb 5 2009 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.26-1m)
- inital build
